Retrieve tasks
deprecated
Retrieve the list of tasks assigned to a GBG GO journey instance to determine what actions the customer must complete. Deprecated.
POST
/
journey
/
task
/
list
Retrieve tasks
curl --request POST \
--url https://eu.platform.go.gbgplc.com/v2/captain/journey/task/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"instanceId": "PiIuACmx8Q8R7qPnAkLAqBAT"
}
'import requests
url = "https://eu.platform.go.gbgplc.com/v2/captain/journey/task/list"
payload = { "instanceId": "PiIuACmx8Q8R7qPnAkLAqBAT" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({instanceId: 'PiIuACmx8Q8R7qPnAkLAqBAT'})
};
fetch('https://eu.platform.go.gbgplc.com/v2/captain/journey/task/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "InProgress",
"instanceId": "<string>",
"tasks": [
{
"taskId": "TkoviRO58Q8R7qPnAkLAqBAT",
"variantId": "age_verification_all_ssn_dob_required"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Unique identifier for the journey instance.
Example:
"PiIuACmx8Q8R7qPnAkLAqBAT"
Was this page helpful?
Previous
List schemaRetrieve all tasks in a GBG GO journey instance along with their schemas in a single call. Deprecated.
Next
⌘I
Retrieve tasks
